require 'test_helper'

class SessionsControllerTest < ActionController::TestCase
  setup do
    @request.env["HTTP_REFERER"] = hello_path
  end

  test "login" do
    u = users(:valaki)
    post :create, { email: u.email, password: 'titok' }
    assert_not_nil session[:user]
    assert_response :redirect
    assert_redirected_to hello_path
    assert_select "span", u.name
  end

  test "logout" do
    get :destroy, nil, { user: users(:valaki).id }
    assert_response :redirect
    assert_nil session[:user]
  end

end
