require 'test_helper'

class SendPostImageTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end
  test "send an image in a post" do
    get url_for(controller: :say, action: :hello)
    assert_response :success
    assert_select "#email", 1
    assert_select "#password", 1

    u = users(:valaki)
    post_via_redirect url_for(controller: :sessions, action: :create), { email: u.email, password: 'titok' }, { "HTTP_REFERER" => hello_path }
    assert_not_nil session[:user]
    assert_select "span", u.name

    v = users(:me)
    get url_for(controller: :users, action: :show, id: v.id)
    assert_response :success
    #assert_select "p", v.posts.count

    upload_file = fixture_file_upload(Rails.root.join('test','fixtures','files','users_table2.png'), 'image/png')
    post url_for(controller: :posts, action: :create),
       { user_id: v.id, author_id: u.id, post: { text: 'Ezt nezd meg!', attachment: upload_file} },
       { "HTTP_REFERER" => '/say/hello' }
    s = Attachment.last
    assert_equal s.original_name,'users_table2.png'
    assert File.exists?(Rails.root.join('public', 'data', s.id.to_s))
  end
end
