require 'test_helper'

class UserTest < ActiveSupport::TestCase
  setup do
    v = users(:me)
  end

  teardown do
    v = nil
  end

  test "the truth" do
    assert true
  end

  test "cannot save user without email address" do
    u = User.new
    assert !u.save, "Houston, we have a problem"
  end

  test "cannot save user with exising email address" do
    u = User.new email: 'kovacsg@tmit.bme.hu', name: 'KG'
    assert !u.save, "Houston, we have a problem"
  end

  test "cannot save user if password and its confirmation do not match" do
    u = User.new email: 'kovacsg@bme.hu', name: 'KG', password: 'titok1', password_confirmation: 'titok2'
    assert !u.save, "Houston, we have a problem"
  end

  test "if encrypt works properly" do
    v = users(:me)
    assert_equal Digest::SHA2.hexdigest(v.salt+'titok'), v.encrypted_password, "Passwords do not match after encryption" 
  end

  test "if pagination returns less than 5 items per page" do
    v = users(:me)
    assert v.get_posts_page(1).size <= 5
  end
end
